%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

%define	name	yum-plugin-snapper
%define version	0.6
%define release	1

Summary: yum snapshot plugin
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Applications/System 
BuildArch: noarch
URL: http://centos.cms4all.org/repo/7/btrfs
Packager: andreas@benzlerweb.de

Conflicts: yum < 3.2.0
Conflicts: yum-plugin-fs-snapshot

Requires: btrfs-progs
Requires: snapper
Source: yum-plugin-snapper-%{version}.tar.gz 

%description
This package contains a special yum plugin to make 
snapshots with snapper.

%prep
%setup 

%install
install -d %{buildroot}/etc/yum/pluginconf.d/
install etc/yum/pluginconf.d/snapper.conf  %{buildroot}/etc/yum/pluginconf.d/snapper.conf
install -d %{buildroot}/usr/lib/yum-plugins/
install usr/lib/yum-plugins/snapper.py %{buildroot}/usr/lib/yum-plugins/snapper.py

%files
%defattr(-,root,root)
%config(noreplace) /etc/yum/pluginconf.d/snapper.conf
/usr/lib/yum-plugins/snapper.py

%changelog
* Sat Jul 01 2017 andreas@benzlerweb.de 0.6 - 1
- rewrote complete against snapper dbus
- add copyright gpl v3
- configuration will not overwritten by installation, if exist
- add single snapshot option
- add test for "root level" configuration

* Thu Jun 15 2017 andreas@benzlerweb.de 0.5 - 2
- made conflicts yum-plugin-fs-snapshot, because written for btrfs snapper only

* Thu Jun 15 2017 andreas@benzlerweb.de 0.5 - 1
- built in an optional 'update_grub2' 

* Wed Jun 14 2017 andreas@benzlerweb.de 0.4 - 2
- fix wrong dependency

* Wed Jun 14 2017 andreas@benzlerweb.de 0.4 - 1
- fix, if not run as root
- clear config file

* Tue Jun 13 2017 andreas@benzlerweb.de 0.3 - 1
- not perfect, but work as it should
